Skip to main content

Reusable Barcode Webhook Notification

POST 

/webhooks/paysafecash/reusable-barcode

Sends a JSON webhook notification to the business partner endpoint provided in the webhook_url field of the barcode request.

A webhook is sent as soon as a payment is captured by paysafecard (status "SUCCESS"), the payment is actively cancelled (status "CANCELLED_CUSTOMER" or "CANCELLED_MERCHANT"), or the payment expires (status "EXPIRED").

The business partner payment server must respond with HTTP 200. When a technical error occurs or the receiving application returns an error, the notification is resubmitted at a regular interval of 1 minute until one of the following conditions is met:

  • The payment server receives an HTTP 200 response.
  • The maximum number of retry attempts is reached (currently configured at 5 retries).

The webhook notification is signed with rsa-sha256. The signature can be found in the HTTP Authorization header.

Request

Responses

Reusable barcode webhook notification received successfully.